<ng-container *ngIf="loading$|async">
    <app-page-loading/>
</ng-container>

<ng-container *ngIf="error$|async as error">
    <app-page-error [payload]="error"></app-page-error>
</ng-container>

<ng-container *ngIf="!(error$|async)">
    <app-title titulo="Producto"></app-title>
    <div class="card flex justify-content-center ">
        <form [formGroup]="formProducto" autocomplete="off" (ngSubmit)="onSave()">
            <div class="flex flex-column gap-2 mt-4">
                <label class="block font-bold mb-2" >Nombre del producto</label>
                <input type="text" pInputText formControlName="nombre" />
                <small *ngIf="formProducto.controls['nombre'].getError('required') && formProducto.controls['nombre'].touched" id="nombre-help">
                    El nombre del producto es requerido
                </small>
            </div>
            <div class="flex flex-column gap-2 mt-4">
                <label class="block font-bold mb-2" >Precio del producto</label>
                <p-inputNumber type="text" id="precio" formControlName="precio" mode="currency" currency="USD" locale="en-US" />
                <small *ngIf="formProducto.controls['precio'].getError('required') && formProducto.controls['nombre'].touched" id="precio-help">
                    El precio del producto es requerido
                </small>
            </div>
            <div class="flex flex-column gap-2 mt-4">
                <label class="block font-bold mb-2">Url para la imagen del producto</label>
                <p-image 
                    class="block xl:block mx-auto border-round w-full"
                    [src]="'https://cdn5.dibujos.net/dibujos/pintados/202120/computadora-la-casa-la-habitacion-12272967.jpg'"
                    alt="Image" 
                    width="150" 
                    [preview]="true" />
                <input type="text" pInputText formControlName="url" />
                <!-- <small  id="url-help">
                    Enter your username to reset your password.
                </small> -->
            </div>
            <div class="flex flex-column gap-2 mt-4">
                <button 
                    type="submit"
                    pButton 
                    label="Submit" 
                    class="p-button-success"
                    [disabled]="formProducto.invalid">
                </button>
            </div>
        </form>
    </div>
</ng-container>